// -*-C++-*-
/*!
 * @file  NM33ControlSVC_impl.h
 * @brief Service implementation header of NM33Control.idl
 *
 * @author 株式会社 東日本計算センター
 *
 */

#include "NM33ControlSkel.h"

#ifndef NM33CONTROLSVC_IMPL_H
#define NM33CONTROLSVC_IMPL_H
 
/*!
 * @class NM33ChangeModeSVC_impl
 * Example class implementing IDL interface NM33CameraControlServ::NM33ChangeMode
 */
class NM33ChangeModeSVC_impl
 : public virtual POA_NM33CameraControlServ::NM33ChangeMode,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~NM33ChangeModeSVC_impl();

   //add
   CORBA::ULong m_ulNM33ChangeMode;

 public:
  /*!
   * @brief standard constructor
   */
   NM33ChangeModeSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~NM33ChangeModeSVC_impl();

   // attributes and operations
   void SetNM33ChangeMode(CORBA::ULong ulChgMode);
   CORBA::ULong GetNM33ChangeMode();

};

/*!
 * @class NM33CaptureModeSVC_impl
 * Example class implementing IDL interface NM33CameraControlServ::NM33CaptureMode
 */
class NM33CaptureModeSVC_impl
 : public virtual POA_NM33CameraControlServ::NM33CaptureMode,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~NM33CaptureModeSVC_impl();

   //add
   CORBA::ULong  m_ulNM33CaptureMode;

 public:
  /*!
   * @brief standard constructor
   */
   NM33CaptureModeSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~NM33CaptureModeSVC_impl();

   // attributes and operations
   void SetNM33CaptureMode(CORBA::ULong ulCaptMode);
   CORBA::ULong GetNM33CaptureMode();

};

/*!
 * @class NM33CaptureTriggerSVC_impl
 * Example class implementing IDL interface NM33CameraControlServ::NM33CaptureTrigger
 */
class NM33CaptureTriggerSVC_impl
 : public virtual POA_NM33CameraControlServ::NM33CaptureTrigger,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~NM33CaptureTriggerSVC_impl();

   //add
   CORBA::ULong m_ulNM33CaptureTrigger;

 public:
  /*!
   * @brief standard constructor
   */
   NM33CaptureTriggerSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~NM33CaptureTriggerSVC_impl();

   // attributes and operations
   void ReqNM33CaptureTrigger(CORBA::ULong ulCaptTrigger);
   CORBA::ULong GetNM33CaptureTrigger();

};

/*!
 * @class NM33CameraResetSVC_impl
 * Example class implementing IDL interface NM33CameraSystemContServ::NM33CameraReset
 */
class NM33CameraResetSVC_impl
 : public virtual POA_NM33CameraSystemContServ::NM33CameraReset,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~NM33CameraResetSVC_impl();

   //add
   CORBA::ULong m_ulNM33CaptureResetTrigger;

 public:
  /*!
   * @brief standard constructor
   */
   NM33CameraResetSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~NM33CameraResetSVC_impl();

   // attributes and operations
   void ReqNM33CaptureReset(CORBA::ULong ulResetTrigger);
   CORBA::ULong GetNM33CaptureReset();

};



#endif // NM33CONTROLSVC_IMPL_H


