#ifndef RDC_BASIC_TYPE
#define RDC_BASIC_TYPE
/*
*File Name          :rdc_basic_type.h
*Function           :define basic type
*Author             :株式会社東日本計算センター
*Date               :2015-11-26
*Last-modified by   :S.Mukaida
*Last-modified      :2015-11-26
*History log        :new
*/

/********************************************************************************************/
/*                      	User Type Declaration                                   		*/
/********************************************************************************************/
/* 処理系により、基本型のサイズは異なる為													*/
/* 各RTCで、型定義名(t_****)のサイズに合わせて基本型を変更して使用する事				*/
typedef unsigned char			uByte_Type;			/* unsigned  8-bit integer				*/
typedef unsigned short int		uHWord_Type;		/* unsigned 16-bit integer				*/
typedef unsigned long int		uWord_Type;			/* unsigned 32-bit integer				*/
typedef unsigned long long int	uDWord_Type;		/* unsigned 64-bit integer				*/

typedef signed char				sByte_Type;			/* signed  8-bit integer 				*/
typedef signed short int		sHWord_Type;		/* signed 16-bit integer				*/
typedef signed long int			sWord_Type;			/* signed 32-bit integer				*/
typedef signed long long int	sDWord_Type;		/* signed 64-bit integer				*/

typedef	float					Float_Type;			/* 32-bit floating point number			*/
typedef	double					Double_Type;		/* 64-bit floating point number 		*/

typedef char					Char_Type;			/* Character 							*/
typedef wchar_t					Wchar_Type;

typedef bool					Bool_Type;			/* bool		 							*/


#define RESULT_NG				(0)
#define RESULT_OK				(1)

#endif

